%define         tarname  zope.interface
%define		name python-zope-interface
%define 	version 4.0.2

Summary:        Zope 3 Interface Infrastructure
Name:           %{name}
Version:        %{version}
Release:        %mkrel 2
Source0:        http://pypi.python.org/packages/source/z/%{tarname}/%{tarname}-%{version}.tar.gz
License:        ZPLv2.1
Group:          Development/Python
URL:            http://docs.zope.org/zope.interface/
BuildRoot:      %{_tmppath}/%{name}-buildroot
BuildRequires:	python-devel
BuildRequires:  python-setuptools
BuildRequires:  python-sphinx

%description
Interfaces are a mechanism for labeling objects as conforming to a given API
or contract.

This is a separate distribution of the zope.interface package used in Zope 3.

%package -n python3-zope-interface
Summary:	Firebird RDBMS bindings for Python 3
Group:		Development/Python
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools

%description -n python3-zope-interface
Interfaces are a mechanism for labeling objects as conforming to a given API
or contract.

This is a separate distribution of the zope.interface package used in Zope 3.

%prep
%setup -q -c
mv %{tarname}-%{version} python2
pushd python2
%apply_patches
rm -rf %{tarname}.egg-info
popd
cp -r python2 python3

%build
pushd python2
CFLAGS="%{optflags}" %{__python} setup.py build
popd

pushd python3
CFLAGS="%{optflags}" python3 setup.py build
popd

%install
pushd python2
PYTHONDONTWRITEBYTECODE= %{__python} setup.py install -O1 --skip-build --root  %{buildroot}

# Will put docs in %%{_docdir} instead
%{__rm} -f %{buildroot}%{python_sitearch}/zope/interface/{,tests/}*.txt
# C files don't need to be packaged
%{__rm} -f %{buildroot}%{python_sitearch}/zope/interface/_zope_interface_coptimizations.c
popd

pushd python3
python3 setup.py install --root=%{buildroot} --compile --optimize=2
%{__rm} -f %{buildroot}%{python3_sitearch}/zope/interface/{,tests/}*.txt
# C files don't need to be packaged
%{__rm} -f %{buildroot}%{python3_sitearch}/zope/interface/_zope_interface_coptimizations.c
popd


%check
pushd python2
%{__python} setup.py test

%files
%defattr(-,root,root,-)
%doc python2/README.txt python2/LICENSE.txt python2/CHANGES.txt python2/COPYRIGHT.txt python2/docs/
%{python_sitearch}/zope/interface/
# Co-own %%{python_sitearch}/zope/
%dir %{python_sitearch}/zope/
%exclude %{python_sitearch}/zope/interface/tests/
%exclude %{python_sitearch}/zope/interface/common/tests/
%{python_sitearch}/zope.interface-*.egg-info
%{python_sitearch}/zope.interface-*-nspkg.pth

%files -n python3-zope-interface
%doc python3/README.txt python3/LICENSE.txt python3/CHANGES.txt python3/COPYRIGHT.txt python3/docs/
%{python3_sitearch}/zope/interface/
# Co-own %%{python3_sitearch}/zope/
%dir %{python3_sitearch}/zope/
%exclude %{python3_sitearch}/zope/interface/tests/
%exclude %{python3_sitearch}/zope/interface/common/tests/
%{python3_sitearch}/zope.interface-*.egg-info
%{python3_sitearch}/zope.interface-*-nspkg.pth




%changelog

* Sun Jan 13 2013 umeabot <umeabot> 4.0.2-2.mga3
+ Revision: 379736
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 23 2012 philippem <philippem> 4.0.2-1.mga3
+ Revision: 334171
- Update to 4.0.2
- Add Python3 package

* Sat Sep 08 2012 philippem <philippem> 4.0.1-1.mga3
+ Revision: 290146
- New upstream release 4.0.1

* Mon Jan 09 2012 philippem <philippem> 3.7.0-1.mga2
+ Revision: 194094
- Update to 3.7.0.
- Clean licence
- Add check

* Wed Jan 19 2011 erwan <erwan> 3.6.1-1.mga1
+ Revision: 24929
- imported package python-zope-interface

